from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XEntity(XNode, Protocol):
    def getNotationName(self) -> str: ...
    def getPublicId(self) -> str: ...
    def getSystemId(self) -> str: ...
